/* window.h
 *
 * Copyright 2023 Red Hat, Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#pragma once
#include <float.h>

#include <glib/gi18n.h>

#include <gtk/gtk.h>
#include <gsk/gl/gskglrenderer.h>

#include <libmks.h>

G_BEGIN_DECLS

#define LUNCHBOX_TYPE_WINDOW (lunchbox_window_get_type())

G_DECLARE_FINAL_TYPE (LunchboxWindow, lunchbox_window, LUNCHBOX, WINDOW, GtkApplicationWindow)

void lunchbox_window_set_display_view (LunchboxWindow   *self,
                                       GDBusConnection  *connection);

void lunchbox_window_set_status_view (LunchboxWindow  *self,
                                      const gchar     *icon_name,
                                      const gchar     *head,
                                      const gchar     *body);

void lunchbox_window_set_loading_view (LunchboxWindow *self);

void lunchbox_window_set_decorated (LunchboxWindow *self,
                                    gboolean        decorated);
void lunchbox_window_set_emulate_touch (LunchboxWindow *self,
                                        gboolean        emulate_touch);
void lunchbox_window_show_host_cursor (LunchboxWindow *self,
                                        gboolean       show_host_cursor);
void lunchbox_window_set_auto_resize (LunchboxWindow *self,
                                      gboolean        auto_resize);
G_END_DECLS
